DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY > Class Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY >:

## Public Types

typedef KEY::Element | Element
typedef SCHEME_OPTIONS | SchemeOptions

## Public Member Functions

PrivateKey & | AccessPrivateKey ()
PublicKey & | AccessPublicKey ()
const KEY & | GetKey () const
KEY & | AccessKey ()
std::string | AlgorithmName () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Protected Member Functions

const DL_ElgamalLikeSignatureAlgorithm< Element > & | GetSignatureAlgorithm () const
const DL_KeyAgreementAlgorithm< Element > & | GetKeyAgreementAlgorithm () const
const DL_KeyDerivationAlgorithm< Element > & | GetKeyDerivationAlgorithm () const
const DL_SymmetricEncryptionAlgorithm & | GetSymmetricEncryptionAlgorithm () const
HashIdentifier | GetHashIdentifier () const
const PK_SignatureMessageEncodingMethod & | GetMessageEncodingInterface () const
BASE::KeyInterface & | AccessKeyInterface ()
const BASE::KeyInterface & | GetKeyInterface () const
size_t | GetDigestSize () const

## Detailed Description

### template<class BASE, class SCHEME_OPTIONS, class KEY>
class DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY >

_

Definition at line 1316 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h